Core - Bug # 36183

Feature # 31893 (Resolved): Allow XCLASSes to be defined via ext_autoload.php

Status: Resolved Priority: Should have
Author: Tolleiv Nietsch Category: DBAL
Created: 2012-04-16 Assigned To: Tolleiv Nietsch
Updated: 2013-12-08 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity: medium

Is Regression:
Sprint Focus:

Subject: Make dbal compatible with the new XCLASS schema.

Description

dbal is the only sysext which depends on working XCLASSES - so it should be one of the first to be migrated and check with the new
XCLASS handling from #31893

Associated revisions

Revision 3985ee10 - 2012-04-29 15:08 - Tolleiv Nietsch

[TASK] Make dbal compatible with new XCLASS handling

After #31893 dbal should use the ext_autoload.php to
register XCLASSes and own XCLASS lookups can be removed.

Change-Id: 124bc2b04e4e282986202d81995bfc7030bbb5de2

Resolves: #36183
Releases: 6.0

History

#1 - 2012-04-16 23:39 - Tolleiv Nietsch
- Parent task set to #31983

#2 - 2012-04-16 23:39 - Tolleiv Nietsch
- Parent task changed from #31983 to #31893

#3 - 2012-04-17 00:06 - Tolleiv Nietsch
- Project changed from Core to DBAL

#4 - 2012-04-17 00:09 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10557

#5 - 2012-04-17 00:20 - Tolleiv Nietsch

What | did to test it was: installing dbal, checking whether the backend and frontend kept working and checking whether §GLOBALS['TYPO3_DB"]
really had the class ux_t3lib_db --- should be enough, right?
#6 - 2012-04-29 15:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10557

#7 - 2012-05-03 16:18 - Xavier Perseguers
- Status changed from Accepted to Resolved
- Assigned To set to Tolleiv Nietsch

- % Done changed from 0 to 100

#8 - 2013-12-08 11:42 - Michael Stucki
- Project changed from DBAL to Core

#9 - 2013-12-08 11:44 - Michael Stucki
- Category set to DBAL
